## org.eclipse.emf.cdo.net4j
Interface CDOSessionConfiguration

All Superinterfaces:
  CDOSessionConfiguration

    public interface CDOSessionConfiguration

extends CDOSessionConfiguration

Since:
  2.0

Method Summary
`org.eclipse.net4j.connector.IConnector` `getConnector()`
`org.eclipse.net4j.signal.failover.IFailOverStrategy` `getFailOverStrategy()`
`CDOSession` `openSession()` Opens the session for this configuration.
`void` `setConnector(org.eclipse.net4j.connector.IConnector connector)`
`void` `setFailOverStrategy(org.eclipse.net4j.signal.failover.IFailOverStrategy failOverStrategy)` The fail-over strategy must be set before the session is opened and can not be changed thereafter.

Methods inherited from interface org.eclipse.emf.cdo.session.CDOSessionConfiguration
`getAuthenticator, getExceptionHandler, getPackageRegistry, getRepositoryName, getRevisionCache, isActivateOnOpen, isSessionOpen, setActivateOnOpen, setExceptionHandler, setPackageRegistry, setRepositoryName, setRevisionCache`

Method Detail

### getConnector

    org.eclipse.net4j.connector.IConnector getConnector()

### setConnector

    void setConnector(org.eclipse.net4j.connector.IConnector connector)

### getFailOverStrategy

    org.eclipse.net4j.signal.failover.IFailOverStrategy getFailOverStrategy()

### setFailOverStrategy

    void setFailOverStrategy(org.eclipse.net4j.signal.failover.IFailOverStrategy failOverStrategy)

  The fail-over strategy must be set before the session is opened and can not be changed thereafter.

### openSession

    CDOSession openSession()

  Description copied from interface: `CDOSessionConfiguration`
  Opens the session for this configuration. Once the session is openend this method always returns the same session instance. Therefore it is impossible to change this configuration while the session is open.

  Specified by:
    `openSession` in interface `CDOSessionConfiguration`

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.